Skip to main content
GET
/
embedded-banking
/
v1
/
bank-accounts
/
{id}
/
transfers
Get transfers for a bank account.
curl --request GET \
  --url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id}/transfers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": 123,
      "date": "2023-12-25",
      "fromAccount": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "nickname": "<string>"
      },
      "status": "PENDING",
      "toAccount": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "nickname": "<string>"
      },
      "type": "INTERNAL_TO_EXTERNAL"
    }
  ],
  "nextPaginationToken": "<string>",
  "prevPaginationToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The bank account ID.

Query Parameters

limit
default:25

Number of items to return (default 25, max 100).

pagination_token
string

Opaque pagination token from a previous response.

Response

Returns transfers.

A paginated response containing a page of results and navigation tokens.

data
object[]
required

The items in the current page.

nextPaginationToken
null | string

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page.

prevPaginationToken
null | string

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page.